#
# spec file for package cargo-vendor-filterer
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cargo-vendor-filterer
Summary:        Cargo vendor filterer
License:        Apache-2.0
Group:          Development/Tools/Building
URL:            https://github.com/coreos/cargo-vendor-filterer
Version:        0.5.16
Release:        1.1
Source0:        https://github.com/coreos/cargo-vendor-filterer/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo
BuildRequires:  cargo-packaging
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(openssl)
Requires:       (cargo or rustup)

%description
Core cargo vendor does not have filtering and thus, creates large amount of incompatible platform-specific dependencies added to
vendor such as those that are MacOS or Windows only. This utility solves that issue of vendoring dependencies by filtering
what is needed and not needed and can be configured to vendor dependencies for specific platforms such as GNU/Linux.

%prep
%autosetup -a1 -p1

%build
%{cargo_build}

%install
%{cargo_install}

%files
%{_bindir}/%{name}
%doc README.md
%license LICENSE

%changelog
* Fri Nov  1 2024 Soc Virnyl Estela <uncomfyhalomacro@opensuse.org>
- Update to version 0.5.16:
  * Fix wrongly filtered out packages when using --versioned-dirs
  * feat: add optional dep-kind parameter
* Tue Sep 10 2024 William Brown <william.brown@suse.com>
- explicitly depend on cargo to pull in latest compiler revision
* Wed May  8 2024 Soc Virnyl Estela <uncomfy+openbuildservice@uncomfyhalomacro.pl>
- Update to 0.5.14:
  * improvement: add option `--no-default-features` and `--features`
  * change fieldname types of feature and no-default-features to Vec<String> and bool, respectively
  * fix: use clap and serde default for new fieldnames
  * cleanup: replace Option<bool> with default values with bool for all-features
  * cleanup: add the if-elses for the new cli and config options on add_packages_for_platform too
  * ci: update nushell to 0.91.0 for vendor tests
- Update service file:
  * use glob so we don't need to edit versions in the _service file.
* Thu Mar 28 2024 Martin Sirringhaus <martin.sirringhaus@suse.com>
- Update to 0.5.13
  * Add --respect-source-config option
  * Implement --sync
- Use filtered vendor-tarball
- Remove cargo_config, which is now part of the vendor-tarball
* Wed Feb 28 2024 Martin Sirringhaus <martin.sirringhaus@suse.com>
- Update to 0.5.12
  * Warn about unknown keys in Cargo.toml
  * Correctly handle filtered-out latest versions
* Mon Sep 11 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial spec for cargo-vendor-filterer 0.5.11
